> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar senha mestra

> Create a master password under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.pt-br.json POST /v1/public/accounts/{account_id}/credentials
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials:
    post:
      tags:
        - public-accounts
        - public-credentials
      summary: Criar senha mestra
      description: Create a master password under the path account.
      operationId: >-
        create_public_credential_v1_public_accounts__account_id__credentials_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountCredentialCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialCreateResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
      security:
        - PublicBearerAuth: []
components:
  schemas:
    AccountCredentialCreateRequest:
      additionalProperties: false
      description: >-
        Solicitação para criar uma senha mestra no escopo do caminho de uma
        conta.
      properties:
        domain:
          anyOf:
            - type: string
            - type: 'null'
          description: Escopo da senha mestra como UUID do dominio ou nome do dominio
          title: Dominio
        generate:
          default: false
          description: Gerar o segredo da senha mestra em vez de fornecê-lo
          title: Gerar
          type: boolean
        name:
          description: Nome de exibição da senha mestra
          maxLength: 100
          minLength: 1
          title: Nome
          type: string
        value:
          anyOf:
            - maxLength: 256
              minLength: 4
              type: string
            - type: 'null'
          description: Valor secreto da senha mestra quando não gerado
          title: Valor
        workspace_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Escopo de UUID do workspace para a senha mestra
          title: Id do workspace
      required:
        - name
      title: AccountCredentialCreateRequest
      type: object
    CredentialCreateResponse:
      properties:
        created_at:
          description: Data e hora de criação da senha mestra
          title: Criado em
          type: string
        generated_secret:
          anyOf:
            - type: string
            - type: 'null'
          description: Segredo da senha mestra gerado uma única vez, quando solicitado
          title: Segredo gerado
        id:
          description: UUID da senha mestra
          format: uuid
          title: ID
          type: string
        name:
          description: Nome de exibição da senha mestra
          title: Nome
          type: string
        scope_id:
          description: UUID do recurso para o escopo da senha mestra
          format: uuid
          title: Id do escopo
          type: string
        scope_type:
          description: Tipo de escopo de recurso onde a senha mestra se aplica
          enum:
            - account
            - workspace
            - domain
          title: Tipo do escopo
          type: string
        updated_at:
          description: Data e hora da última atualização da senha mestra
          title: Atualizado em
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialCreateResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalhe
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Localização
          type: array
        msg:
          title: Mensagem
          type: string
        type:
          title: Tipo de erro
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````